Subject: Re: linux-next: build failure after merge of the mm tree

From: Masami Hiramatsu (Google) <[email-masked]>
Date: Fri, 16 Dec 2022 10:03:25 +0900

On Thu, 15 Dec 2022 16:35:48 -0800
Andrew Morton <[email-masked]> wrote:

> On Fri, 16 Dec 2022 11:21:21 +1100 Stephen Rothwell <[email-masked]> wrote:
> 
> > Hi all,
> > 
> > After merging the mm tree, today's linux-next build (powerpc
> > ppc64_defconfig) failed like this:
> > 
> > In file included from fs/btrfs/tree-checker.c:20:
> > include/linux/error-injection.h: In function 'get_injectable_error_type':
> > include/linux/error-injection.h:22:17: error: 'EOPNOTSUPP' undeclared (first use in this function)
> >    22 |         return -EOPNOTSUPP;
> >       |                 ^~~~~~~~~~
> > include/linux/error-injection.h:22:17: note: each undeclared identifier is reported only once for each function it appears in
> > 
> > Caused by commit
> > 
> >   fcb9954aa1dc ("error-injection: remove EI_ETYPE_NONE")
> > 
> > I have reverted that commit for today (and the following one).
> 
> Thanks.  I'll try the obvious:

I sent v2 but it seems to be missed.

https://lore.kernel.org/all/167094068123.608798.9238149148720683524.stgit@devnote3/T/#u

Either your patch or v2 are OK for me. (doing the same thing)

Thank you,

> 
> --- a/include/linux/error-injection.h~error-injection-remove-ei_etype_none-fix
> +++ a/include/linux/error-injection.h
> @@ -4,6 +4,7 @@
>  
>  #include <linux/compiler.h>
>  #include <asm-generic/error-injection.h>
> +#include <linux/errno.h>
>  
>  #ifdef CONFIG_FUNCTION_ERROR_INJECTION
>  
> _
> 

-- 
Masami Hiramatsu (Google) <[email-masked]>